require 'base64'

Gem::Specification.new do |s|
  s.name        = 'alb3rtobr-test'
  s.version     = '1.0.1'
  s.summary     = 'test' 
  s.authors     = 'test'
  s.files       = Dir['lib/**/*'] + Dir['template_app/**/*'] + Dir['master_middleman/**/*'] + Dir['install_bin/bookbinder'] + Dir['bookbinder.gemspec']
  s.license     = 'MIT'
  s.bindir      = 'install_bin'
  s.executable  = 'bookbinder'

  s.required_ruby_version = '>= 2.3.3'
  s.add_runtime_dependency 'fog-aws', ['~> 0.7.1']
  s.add_runtime_dependency 'ansi', ['~> 1.4']
  s.add_runtime_dependency 'middleman', ['4.1.10']
  s.add_runtime_dependency 'middleman-livereload'
  s.add_runtime_dependency 'middleman-syntax', ['2.1.0']
  s.add_runtime_dependency 'rouge', '!= 1.9.1'
  s.add_runtime_dependency 'redcarpet', ['~> 3.2.3']
  s.add_runtime_dependency 'css_parser'
  s.add_runtime_dependency 'puma'
  s.add_runtime_dependency 'rack-rewrite'
  s.add_runtime_dependency 'therubyracer'
  s.add_runtime_dependency 'git', '~> 1.2.8'
  s.add_runtime_dependency 'nokogiri', ['1.10.1']
  s.add_runtime_dependency 'thor', ['~> 0.19.1']
  s.add_runtime_dependency 'elasticsearch'
  s.add_runtime_dependency 'font-awesome-sass', ['4.7.0']
  s.add_runtime_dependency 'middleman-sprockets'
  s.add_runtime_dependency 'middleman-compass'
  s.add_runtime_dependency 'sprockets', '~> 3.7.2'
  s.add_runtime_dependency 'mimemagic', '0.4.1'

  s.add_development_dependency 'license_finder'
  s.add_development_dependency 'pry-byebug'
  s.add_development_dependency 'rake'
  s.add_development_dependency 'rspec'
  s.add_development_dependency 'sendgrid-ruby', '< 3.0'
  s.add_development_dependency 'sinatra', '1.4.8'
  s.add_development_dependency 'jasmine'
  s.add_development_dependency 'rack-test'
end
